//-----------------------------------------------------------------
// PT8 EHW JOG.H - Created Fred Foscalina
// This is the header file for handwheel jogging.
//-----------------------------------------------------------------
//
//$Modtime: 7/03/12 1:13p $
//$Revision: 4 $
//$Author: Fredf $ 

#ifndef __EHW_JogH__
#define __EHW_JogH__

// at 20320.0 counts per INCH
#define ehwStepInch_3	(0.0200 * Motor1XAxisScaleFactor * 25.4)	// 0.0200 IN
#define ehwStepInch_2 	(0.0020 * Motor1XAxisScaleFactor * 25.4)	// 0.0020 IN
#define ehwStepInch_1 	(0.0002 * Motor1XAxisScaleFactor * 25.4)	// 0.0002 IN
#define ehwStepInch_4 	(0.0001 * Motor1XAxisScaleFactor * 25.4)	// 0.0001 IN

// at 800 counts per MM
#define ehwStepMM_3		(0.500 * Motor1XAxisScaleFactor)	// 0.500 MM 
#define ehwStepMM_2		(0.050 * Motor1XAxisScaleFactor)	// 0.050 MM 
#define ehwStepMM_1		(0.005 * Motor1XAxisScaleFactor)	// 0.005 MM 
#define ehwStepMM_4		(0.002 * Motor1XAxisScaleFactor)	// 0.002 MM

// at 2048 counts per degree
#define ehwStepDeg_3	(1.000 * Motor4AAxisScaleFactor)	// 1.000 Degree
#define ehwStepDeg_2	(0.100 * Motor4AAxisScaleFactor)	// 0.100 Degree
#define ehwStepDeg_1	(0.010 * Motor4AAxisScaleFactor)	// 0.010 Degree
#define ehwStepDeg_4	(0.001 * Motor4AAxisScaleFactor)	// 0.001 Degree

#define ehwPosScale	(I608*32)

#endif











